All:	txpp.tco txcgg.tco txcg86a.tco s86b.tco sld.tco cvexe.tco libtx86.o \
	tc.bat

txpp.tco:	../compiler/txpp.t
	.\txx txtrn.tco <..\compiler\txpp.t >txpp.tco

txcgg.tco:	../native/txcgg.t
	.\txx txpp.tco <..\native\txcgg.t >txcgg.t
	.\txx txtrn.tco <txcgg.t >txcgg.tco
	-del txcgg.t

txcg86a.tco:	../native/cg86a.def
	copy ..\native\txcg_asm_frame txcg_frame
	.\txx txcgg.tco <..\native\cg86a.def >txcg86a.pp
	del txcg_frame
	.\txx txpp.tco <txcg86a.pp >txcg86a.t
	.\txx txtrn.tco <txcg86a.t >txcg86a.tco
	-del txcg86a.pp
	-del txcg86a.t

s86b.tco:	../s86kit/s86b.t
	.\txx txtrn.tco <..\s86kit\s86b.t >s86b.tco

sld.tco:	../s86kit/sld.t
	.\txx txtrn.tco <..\s86kit\sld.t >sld.tco

cvexe.tco:	../s86kit/cvexe.t
	.\txx txtrn.tco <..\s86kit\cvexe.t >cvexe.tco

libtx86.o:	../native/libtx86.s
	.\txx s86b.tco <..\native\libtx86.s >libtx86.o

tc.bat:	tc-s86.bat
	copy tc-s86.bat tc.bat

clean:

clobber:	clean
	-del txcg86a.tco
	-del txpp.tco
	-del txcgg.t
	-del txcgg.tco
	-del txcg86a.pp
	-del txcg86a.t
	-del *.ERR
	-del s86b.tco
	-del sld.tco
	-del cvexe.tco
	-del libtx86.o
	-del tc.bat

